/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package CashSaleMgmt.CashSale;

import java.util.Date;
import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class CashSale {
    public void makeCashSale() {
    }

    public BigDecimal calcSubtotal() {
        return new BigDecimal(0);
    }

    public BigDecimal calcDiscountAmount() {
        return discountAmount;
    }

    public BigDecimal calcTax() {
        return new BigDecimal(0);
    }

    /**  */
    public BigDecimal calcTotal() {
        return new BigDecimal(0);
    }

    public BigDecimal recalcTotal() {
        return new BigDecimal(0);
    }

    public boolean verifyAvailability() {
        return false;
    }

    public static Vector listCashSales() {
        return new Vector();
    }

    public static BigDecimal calcTotalCashSales() {
        return new BigDecimal(0);
    }

    public static int calcTotalCashSalesQty() {
        return 0;
    }

    public static BigDecimal calcAvgTotalCashSale() {
        return new BigDecimal(0);
    }

    public static int calcAvgTotalCashSaleQty() {
        return 0;
    }

    public static int calcCashSalesRate() {
        return 0;
    }

    public static int calcCashSalesQtyRate() {
        return 0;
    }

    /**
     *@shapeType AggregationLink
     * @supplierCardinality 1..*
     * @clientCardinality 1
     */
    private CashSaleDetail lnkUnnamed1;
    private Date date;
    private Date time;
    private BigDecimal subtotal;
    private BigDecimal discountAmount;
    private BigDecimal tax;

    /** @supplierCardinality 1 */
    private IMakeCashSale anICashSaleSequencerPlugInPoint;

    /**
     *@supplierCardinality 0..*
     *@clientCardinality 1
     */
    private AccountingMgmt.Payment.Payment lnkUnnamed;
    private int status;
}


